EU Digital Identity Wallet

Sample structures of the E_KYC_CHECK API responses for the EU Digital Identity Wallet Prototype.

GREEN

The following response example represents successful checks.

{
    "checks": [
        {
            "answer": "GREEN",
            "checkType": "E_KYC_CHECK",
            "createdAt": "2026-10-12 12:24:18",
            "id": "da299a2f-338d-4c8d-9c79-a9f1073eb8da",
            "sourceInfo": {
                "id": "eu_gov_diw_demo"
            },
            "inputDoc": {
                "idDocType": "OTHER",
                "country": "DEU"
            },
            "extractedDoc": {
                "country": "DEU",
                "firstName": "Tyler",
                "lastName": "Durden",
                "issueAuthority": "Test PID issuer",
                "dob": "1970-10-16",
                "nationality": "DEU",
                "validUntil": "2027-01-10"
            },
            "ekycCheckInfo": {
                "confirmationId": "DpLhE7bez9xUPwRRKxYoSMU9",
                "confirmationType": "oAuth"
            }
        }
    ]
}

YELLOW

The following example represents a case where the verification process is still in progress, and the applicant has not yet completed all required steps.

{
    "checks": [
        {
            "answer": "YELLOW",
            "checkType": "E_KYC_CHECK",
            "createdAt": "2026-10-12 12:28:48",
            "id": "4276238a-d392-43c5-92e3-31d638b20120",
            "sourceInfo": {
                "id": "eu_gov_diw_demo"
            },
            "inputDoc": {
                "idDocType": "OTHER",
                "country": "DEU"
            },
            "ekycCheckInfo": {
                "confirmationId": "qdxTNPYWaJIT6C7RnwCQPr26",
                "confirmationType": "oAuth"
            }
        }
    ]
}

ERROR

The following example represents a case when an error occurred during the check.

{
    "checks": [
        {
            "answer": "ERROR",
            "checkType": "E_KYC_CHECK",
            "createdAt": "2026-10-13 12:28:48",
            "id": "gbg4570d-8431-3422-9g89-570226ac9sto",
            "sourceInfo": {
                "id": "eu_gov_diw_demo"
            },
            "inputDoc": {
                "idDocType": "OTHER",
                "country": "DEU"
            },
            "ekycCheckInfo": {}
        }
    ]
}

Note

The EUDIW test infrastructure is under active development and changes frequently. As a result, ERROR responses may occur when the infrastructure is temporarily unavailable.

Response explained

Root variables

FieldTypeDescription
idStringUnique identifier of the check.
answerStringCheck answer:
  • GREEN — the check has passed successfully. Data found in the database.
  • YELLOW — verification process is not yet complete. We await the applicant's completion of the required steps.
  • ERROR — an error occurred during the check.
checkTypeStringIndicates that it is a E_KYC_CHECK check type.
createdAtDateDate and time (UTC) of the latest Non-Doc check result, in the format YYYY-MM-DD hh:mm:ss (for example, 2024-07-07 17:23:43).
inputDocObjectRepresents the data used for the database check.
extractedDocObjectData received from the applicant’s wallet. It may not be present if the data is not received.
ekycCheckInfoObjectContains information related to the eKYC confirmation process.

inputDoc attributes

The following table explains the inputDoc attributes representing the data used to initiate the check.

FieldTypeDescription
idDocTypeStringType of the document provided for verification. For EUDIW verification, always OTHER.
countryStringAlpha-3 code of the country selected for verification (for example, DEU).

extractedDoc attributes

The extractedDoc object includes the data obtained from the applicant’s wallet during the E_KYC_CHECK check.

FieldTypeDescription
countryStringAlpha-3 code of the country selected for verification (for example, DEU).
firstNameStringPersonnummer (SSN/TIN).
lastNameStringApplicant last name.
dobDateApplicant date of birth (format YYYY-mm-dd, for example, 2001-09-25) as it is specified in the document.
nationalityStringAlpha-3 code of the applicant’s nationality (for example, DEU). Not present if the nationality is not provided or not recognized.
issueAuthorityStringName of the PID issuing authority, if available.
validUntilDatePID expiration date (format YYYY-mm-dd, for example, 2027-09-25), if available.

ekycCheckInfo attributes

FieldTypeDescription
confirmationIdStringUnique identifier of the eKYC confirmation session.
confirmationTypeStringIndicates the eKYC confirmation.
For EUDIW verification, oAuth means that the applicant is redirected to present their PID from the wallet and then returned to the verification flow.